import React from 'react';
import classnames from 'classnames';
import { BasicViewHeader } from '../BasicViewHeader';
import { useStyles } from './styles';
export var FacetViewHeader = function (_a) {
    var className = _a.className, classes = _a.classes, title = _a.title, children = _a.children;
    var styles = useStyles();
    return (React.createElement(BasicViewHeader, { "data-reltio-id": "facet-view-header", title: title, classes: {
            root: classnames(styles.container, className),
            title: classnames(styles.title, classes === null || classes === void 0 ? void 0 : classes.title)
        } }, children));
};
